<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

if ($database->has("players", ["accountid" => getRequestUser()->getUID()])) {
    sendJsonResp($Strings->get("Your account is already active.", false), "ERROR");
}

$database->insert("players", [
    "accountid" => getRequestUser()->getUID(),
    "level" => 1.0,
    "energy" => 100,
    "maxenergy" => 100,
    "credits" => 500,
    "lastping" => date("Y-m-d H:i:s"),
    "teamid" => $VARS['team'],
    "nickname" => getRequestUser()->getName(),
]);

sendJsonResp();