<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

if (empty($VARS["id"])) {
    $player = new Player(getRequestUser());
} else {
    $player = new Player(new User($VARS["id"]));
}

if ($player->exists()) {
    exitWithJson([
        "status" => "OK",
        "profile" => $player->toArray()
    ]);
} else {
    sendJsonResp($Strings->get("Player does not exist.", false), "ERROR");
}