<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$items = $database->select(
        'items', [
    '[>]inventory' => ['itemid' => 'itemid'],
    '[>]itemclasses' => ['classid', 'classid']
        ], [
    'inventory.itemuuid (uuid)',
    'inventory.itemid (id)',
    'inventory.itemjson (json)',
    'items.itemname (name)',
    'items.itemdesc (description)',
    'items.itemcode (code)',
    'items.icon',
    'items.color',
    'itemclasses.classid (classid)',
    'itemclasses.classname (classname)'
        ], [
    "inventory.accountid" => getRequestUser()->getUID()
        ]
);

exitWithJson(["status" => "OK", "items" => $items]);
