<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$message = strip_tags($VARS['message']);
if (empty($message)) {
    sendJsonResp($Strings->get("Message cannot be empty.", false), "ERROR");
}

$database->insert('messages', [
    'time' => date("Y-m-d H:i:s"),
    'message' => $message,
    'lat' => $VARS['latitude'],
    'long' => $VARS['longitude'],
    'accountid' => getRequestUser()->getUID()
]);

// Update player ping/location
$database->update("players", [
    "latitude" => $VARS["latitude"],
    "longitude" => $VARS["longitude"],
    "lastping" => date("Y-m-d H:i:s")
        ], [
    "accountid" => getRequestUser()->getUID()
]);

sendJsonResp();
